# Update point of sale This endpoint allows you to update the data of a point of sale. To use it, you need to provide the identification of the point of sale and send the parameters with the information to be updated. **PUT** `/pos/{id}` ## Request parameters ### Path - `id` (string, required) Creation ID of the point of sale. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various operations, including updating the point of sale data. - `name` (string, optional) Name of the point of sale. - `fixed_amount` (boolean, optional) Define if the customer can insert the amount to be paid. - `category` (number, optional) MCC code that indicates the category of the point of sale. The only possible categories are Gastronomy and Gas Station, and the code varies depending on the country of operation. If not specified, it remains as a generic category Possible enum values: - `Gas Station` For gas stations, the code must be 473000. - `Gastronomy` For gastronomy, the code must be 621102. - `store_id` (string, optional) Store identifier to which the point of sale belongs. - `external_id` (string, optional) Unique identifier of the point of sale defined by integrator system. - `external_store_id` (string, optional) The unique store identifier, set by the integrated system and can contain up to 60 characters. - `url` (string, optional) URL to get the order of the integrator system. It is optional and is used only in the unattended integration model. ## Response parameters - `id` (number, optional) Creation ID of the point of sale. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various operations, including retrieving the point of sale data. - `qr` (object, optional) QR code automatically created to receive payments from the point of sale. - `qr.image` (string, optional) URL of the image of the QR code to be used for receiving payments. - `qr.template_document` (string, optional) URL of the file (in PDF format) of the template containing the QR code to be used for receiving payments. - `qr.template_image` (string, optional) URL of the file (in image format) of the template containing the QR code to be used for receiving payments. - `status` (string, optional) Status of the point of sale data update. - `date_created` (string, optional) Point of sale creation date. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `date_last_updated` (string, optional) Date of last modification of the cash register data. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `uuid` (string, optional) The UUID (Universally Unique Identifier) is a 128-bit number used to identify information. In this case, it is the identification number of the QR code in question. - `user_id` (number, optional) The user_id corresponds to the collector_id. It refers to the user_id of the Mercado Pago account that receives the money from sales, that is, the account responsible for collecting the funds. - `name` (string, optional) Name of the point of sale. - `fixed_amount` (boolean, optional) Define if the customer can insert the amount to be paid. - `category` (number, optional) MCC code that indicates the category of the point of sale. The only possible categories are Gastronomy and Gas Station, and the code varies depending on the country of operation. If not specified, it remains as a generic category Possible enum values: - `Gas Station` For gas stations, the code must be 473000. - `Gastronomy` For gastronomy, the code must be 621102. - `store_id` (string, optional) Store identifier to which the point of sale belongs. - `external_store_id` (string, optional) The unique store identifier, set by the integrated system and can contain up to 60 characters. - `url` (string, optional) URL to get the order of the integrator system. It is optional and is used only in the unattended integration model. - `external_id` (string, optional) Unique identifier of the point of sale defined by integrator system. - `site` (string, optional) - `qr_code` (string, optional) ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | MISSING_BODY | HTTP body is required to modify point of sale. | | 400 | UNKNOWN_FIELD_EXCEPTION | The indicated field is not allowed for this operation or is unknown. | | 400 | INVALID_POS_ID | The ID of the point of sale is invalid, it must be numeric. | | 400 | INVALID_NAME | NAME must be string. | | 400 | NAME_TOO_LONG | The NAME must be less than 45 characters. | | 400 | INVALID_FIXED_AMOUNT | FIXED_AMOUNT must be boolean. | | 400 | INVALID_CATEGORY | CATEGORY must be numeric. | | 400 | POS_UNKNOWN_MCC | CATEGORY must be valid for the user's site. | | 400 | POS_INVALID_STORE_ID | STORE_ID must be numeric. | | 400 | INVALID_EXTERNAL_STORE_ID | EXTERNAL_STORE_ID must be string. | | 400 | EXTERNAL_STORE_ID_NOT_MATCH | The EXTERNAL_STORE_ID does not refer to the indicated STORE_ID. | | 400 | INEXISTENT_EXTERNAL_STORE_ID | The EXTERNAL STORE_ID does not refer to an existing Store. | | 400 | INVALID_EXTERNAL_ID | The EXTERNAL_ID field must be alphanumeric, only letters and numbers. No spaces, hyphens or special characters. | | 400 | EXTERNAL_ID_TOO_LONG | The EXTERNAL_ID must be less than 40 characters. | | 400 | INVALID_URL | The URL must be string and muste have the format of a valid url | | 400 | URL_TOO_LONG | The URL must be less than 300 characters. | | 400 | FIXED_AMOUNT_FALSE | If the URL field is indicated, the FIXED_AMOUNT field must be true. We do not support the open amount modality in this case. | | 403 | 1 | If you are using the URL field, the host must be enabled by Mercado Pago. If it is not, you will receive this error. Please contact your assigned technical advisor. | | 404 | 1 | If the point of sale does not exist for an indicated ID or EXTERNAL_ID and to the user. | | 409 | 1 | A pont of sale with the same EXTERNAL_ID already exists. | ## Request example ### cURL ```bash curl -X PUT \ 'https://api.mercadopago.com/pos/{id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "name": "First POS", "fixed_amount": false, "category": 621102, "store_id": 1234567, "external_id": "SUC001POS001", "external_store_id": "SUC001", "url": "string" }' ``` ## Response example ```json { "id": 2711382, "qr": { "image": "https://www.mercadopago.com/instore/merchant/qr/2711382/0977011a027c4b4387e52069da4264deae2946af4dcc44ee98a8f1dbb376c8a1.png", "template_document": "https://www.mercadopago.com/instore/merchant/qr/2711382/template_0977011a027c4b4387e52069da4264deae2946af4dcc44ee98a8f1dbb376c8a1.pdf", "template_image": "https://www.mercadopago.com/instore/merchant/qr/2711382/template_0977011a027c4b4387e52069da4264deae2946af4dcc44ee98a8f1dbb376c8a1.png" }, "status": "active", "date_created": "2019-08-22T14:11:12.000Z", "date_last_updated": "2019-08-25T15:16:12.000Z", "uuid": "0977011a027c4b4387e52069da4264deae2946af4dcc44ee98a8f1dbb376c8a1", "user_id": 446566691, "name": "First POS", "fixed_amount": false, "category": 621102, "store_id": 1234567, "external_store_id": "SUC001", "url": "string", "external_id": "SUC001POS002", "site": "MLB", "qr_code": "00020101021226940014BR.GOV.BCB.PIX2572pix-qr-h.mercadopago.com/instore/h/p/v2/db12b6e2ec4844839825c6dce7cd2f2243530016com.mercadolibre0129https://mpago.la/pos/212798995204000053039865802BR5924VICTOR CORREA DE ALMEIDA6008CAMPINAS62070503***63040B44" } ```